This endpoint retrieves a list of all payslips for a specific employee.
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslipsPath Parameters
The ID of the organisation to retrieve
The ID of the employee to retrieve
Query Parameters
Current page index
11Number of items per page
20100Response Body
A hash with a data property that contains an array of up to the limit of payslip records. Each entry in the array is a separate payslip object. If there is no more payslips, the resulting array will be empty.
Unique identifier for the object.
The employee first name.
The employee last name.
The total amount of deductions for the period.
The net pay for the period.
The super contribution for the period.
The total wage for the period.
The total amount of expense reimbursements for the pay period.
The total tax for the period.
The full name of the employee.
Address line 1 of the employee.
Address line 2 of the employee.
The employee suburb.
The employee postcode.
The employee address state.
The payslip note.
The total amount of post tax deductions for the period.
The total amount of pre tax deductions for the period.
The name of the business.
The address of the business.
The business number.
The employee's base rate.
The employee's hourly rate.
The start date of the pay period.
The end date of the pay period.
The unit of pay for the base rate.
The employee's employment type.
The type of payroll.
The payment date.
External identifier of the payslip.
The ISO-8601 timestamp the payslip was created.
The ISO-8601 timestamp the payslip was last updated.
Identifier of the pay run this payslip belongs to.
Total hours worked in the period.
Earnings that are subject to tax.
ISO currency code.
ISO country code of the payslip.
URL to review the payslip online.
Student Financial Supplement Scheme amount.
Year-to-date SFSS amount.
Higher Education Loan Program amount for the period.
Year-to-date HELP amount.
Year-to-date gross earnings.
Year-to-date net earnings.
Year-to-date PAYG tax.
Year-to-date super contribution.
Year-to-date taxable earnings.
Year-to-date pre-tax deductions.
Year-to-date post-tax deductions.
URL to the PDF version of the payslip.
Base pay rate captured from KeyPay.
Total pay for the period.
Year-to-date total deductions.
Year-to-date tax amount.
Summary of key earnings & deductions.
Mapping of display labels (key) to the underlying response fields (value) used to localise field names per region/provider. Example: { "paye": "payg" } will show the PAYG tax value under the label PAYE for NZ users.
Gross earnings YTD by pay category.
Detailed earnings lines for the period.
Bank account payment breakdowns.
Super contribution details.
Leave taken during the period.
Leave balances displayed on the payslip.
Accrued leave balances displayed.
Deductions applied this period.
PAYG adjustments.
Super adjustments.
Reimbursements recorded.
Current page index
11Number of items per page
20100Total items
Total pages
Example
curl -X GET \ "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslips" \ -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"Response
{ "data": { "items": [ { "id": "e27387ba-2105-4d12-be95-a7e74823f70f", "first_name": "Daniel", "last_name": "Nguyen", "total_deduction": 1280.5, "net_pay": 2520.15, "super": 301.15, "wages": 3346.15, "reimbursements": 1280.5, "tax": 826, "name": "Alex Kopczynski", "address_line1": "4 Sava", "address_line2": null, "suburb": "123 sydney", "postcode": "0880", "address_state": "NT", "note": null, "post_tax_deduction": 0, "pre_tax_deduction": 0, "business_name": "One Disease Limited", "business_address": "Australia", "business_abn": "57162909284", "base_rate": 87000, "hourly_rate": 0, "pay_period_starting": "2012-06-27T00:00:00+00:00", "pay_period_ending": "2012-07-10T00:00:00+00:00", "base_rate_unit": "Annually", "employment_type": "Annually", "payroll_type": null, "payment_date": "2012-07-11T00:00:00+10:00", "external_id": "e27387ba-2105-4d12-be95-a7e74823f70f", "created_at": "2012-07-11T00:00:00+10:00", "updated_at": "2012-07-11T00:00:00+10:00", "payrun_id": "3cc35ef4-aaaa-4114-bfb2-0962691fd0ed", "total_hours": 160, "taxable_earnings": 3346.15, "currency": "AUD", "country_code": "AU", "review_url": "https://openapi.employmenthero.com/payslips/123456", "sfss_amount": 0, "ytd_sfss": 0, "help_amount": 0, "ytd_help": 0, "ytd_gross": 3346.15, "ytd_net": 2520.15, "ytd_payg": 826, "ytd_super": 301.15, "ytd_taxable_earnings": 3346.15, "ytd_pre_tax_deduction": 0, "ytd_post_tax_deduction": 0, "pdf_url": "https://cdn.employmenthero.com/payslips/e27387ba.pdf", "keypay_base_pay_rate": 87000, "total_pay": 3346.15, "ytd_deductions": 1280.5, "ytd_tax": 826, "summary": { "total_hours": 160, "pay_rate": 87000, "pay_rate_unit": "Annually", "gross_earning": 3346.15, "payg": 826, "help_amount": 0, "super_contribution": 301.15, "net_pay": 2520.15 }, "visible_fields": { "payg": "payg", "super_contribution": "super_contribution", "help_amount": "help_amount" }, "gross_ytds": [ { "pay_category_name": "Ordinary - Salaried", "amount": 3346.15, "created_at": "2012-07-11T00:00:00+10:00", "updated_at": "2012-07-11T00:00:00+10:00" } ], "earnings_lines": [ { "pay_category_name": "Ordinary - Salaried", "name": "Ordinary Pay", "notes": "27-10/07/2012 (10 days)", "number_of_units": 80, "rate_per_unit": 41, "gross_earnings": 3346.15, "super_contribution": 301.15, "taxable_earnings": 3346.15, "is_fixed": false, "is_tax_exempt": false } ], "bank_payments": [ { "account_name": "D N Nguyen", "account_number": "12345678", "amount": 2520.15, "bsb": "062000" } ], "superannuation_lines": [ { "contribution_type": "Employer", "payment_date_for_this_period": "2012-07-11T00:00:00+10:00", "fund_name": "REST Super", "member_number": "123456", "amount": 301.15 } ], "taken_leaves": [ { "leave_category_name": "Annual Leave", "amount": 8, "notes": null, "unit_type": "Hours" } ], "displayed_leave_balances": [ { "leave_category_name": "Annual Leave", "amount": 20, "unit_type": "Hours" } ], "displayed_accrued_leaves": [ { "leave_category_name": "Annual Leave", "amount": 20, "unit_type": "Hours" } ], "deductions": [ { "name": "Union Fee", "amount": 20, "is_tax_exempt": false } ], "payg_adjustments": [ { "name": "Manual PAYG Adjustment", "amount": -50, "is_tax_exempt": false } ], "super_adjustments": [ { "name": "Additional Super", "amount": 100 } ], "reimbursement_lines": [ { "description": "Travel expenses", "amount": 150 } ] } ], "page_index": 1, "item_per_page": 20, "total_items": 1, "total_pages": 1 }}This endpoint retrieves a particular payslip for a specific employee.
Can be used in tandem with the Generate Payslip PDF API to retrieve the pdf_url after PDF generation.
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslips/:payslip_idPath Parameters
The ID of the organisation to retrieve
The ID of the employee to retrieve
The ID of the payslip to retrieve
Response Body
A hash with a data property that contains the payslip. If there are no payslips, the response will be a 404.
Unique identifier for the object.
The employee first name.
The employee last name.
The total amount of deductions for the period.
The net pay for the period.
The super contribution for the period.
The total wage for the period.
The total amount of expense reimbursements for the pay period.
The total tax for the period.
The full name of the employee.
Address line 1 of the employee.
Address line 2 of the employee.
The employee suburb.
The employee postcode.
The employee address state.
The payslip note.
The total amount of post tax deductions for the period.
The total amount of pre tax deductions for the period.
The name of the business.
The address of the business.
The business number.
The employee's base rate.
The employee's hourly rate.
The start date of the pay period.
The end date of the pay period.
The unit of pay for the base rate.
The employee's employment type.
The type of payroll.
The payment date.
External identifier of the payslip.
The ISO-8601 timestamp the payslip was created.
The ISO-8601 timestamp the payslip was last updated.
Identifier of the pay run this payslip belongs to.
Total hours worked in the period.
Earnings that are subject to tax.
ISO currency code.
ISO country code of the payslip.
URL to review the payslip online.
Student Financial Supplement Scheme amount.
Year-to-date SFSS amount.
Higher Education Loan Program amount for the period.
Year-to-date HELP amount.
Year-to-date gross earnings.
Year-to-date net earnings.
Year-to-date PAYG tax.
Year-to-date super contribution.
Year-to-date taxable earnings.
Year-to-date pre-tax deductions.
Year-to-date post-tax deductions.
URL to the PDF version of the payslip.
Base pay rate captured from KeyPay.
Total pay for the period.
Year-to-date total deductions.
Year-to-date tax amount.
Summary of key earnings & deductions.
Mapping of display labels (key) to the underlying response fields (value) used to localise field names per region/provider. Example: { "paye": "payg" } will show the PAYG tax value under the label PAYE for NZ users.
Gross earnings YTD by pay category.
Detailed earnings lines for the period.
Bank account payment breakdowns.
Super contribution details.
Leave taken during the period.
Leave balances displayed on the payslip.
Accrued leave balances displayed.
Deductions applied this period.
PAYG adjustments.
Super adjustments.
Reimbursements recorded.
Example
curl -X GET \ "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslips/:payslip_id" \ -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"Response
{ "data": { "id": "e27387ba-2105-4d12-be95-a7e74823f70f", "first_name": "Daniel", "last_name": "Nguyen", "total_deduction": 1280.5, "net_pay": 2520.15, "super": 301.15, "wages": 3346.15, "reimbursements": 1280.5, "tax": 826, "name": "Alex Kopczynski", "address_line1": "4 Sava", "address_line2": null, "suburb": "123 sydney", "postcode": "0880", "address_state": "NT", "note": null, "post_tax_deduction": 0, "pre_tax_deduction": 0, "business_name": "One Disease Limited", "business_address": "Australia", "business_abn": "57162909284", "base_rate": 87000, "hourly_rate": 0, "pay_period_starting": "2012-06-27T00:00:00+00:00", "pay_period_ending": "2012-07-10T00:00:00+00:00", "base_rate_unit": "Annually", "employment_type": "Annually", "payroll_type": null, "payment_date": "2012-07-11T00:00:00+10:00", "external_id": "e27387ba-2105-4d12-be95-a7e74823f70f", "created_at": "2012-07-11T00:00:00+10:00", "updated_at": "2012-07-11T00:00:00+10:00", "payrun_id": "3cc35ef4-aaaa-4114-bfb2-0962691fd0ed", "total_hours": 160, "taxable_earnings": 3346.15, "currency": "AUD", "country_code": "AU", "review_url": "https://openapi.employmenthero.com/payslips/123456", "sfss_amount": 0, "ytd_sfss": 0, "help_amount": 0, "ytd_help": 0, "ytd_gross": 3346.15, "ytd_net": 2520.15, "ytd_payg": 826, "ytd_super": 301.15, "ytd_taxable_earnings": 3346.15, "ytd_pre_tax_deduction": 0, "ytd_post_tax_deduction": 0, "pdf_url": "https://cdn.employmenthero.com/payslips/e27387ba.pdf", "keypay_base_pay_rate": 87000, "total_pay": 3346.15, "ytd_deductions": 1280.5, "ytd_tax": 826, "summary": { "total_hours": 160, "pay_rate": 87000, "pay_rate_unit": "Annually", "gross_earning": 3346.15, "payg": 826, "help_amount": 0, "super_contribution": 301.15, "net_pay": 2520.15 }, "visible_fields": { "payg": "payg", "super_contribution": "super_contribution", "help_amount": "help_amount" }, "gross_ytds": [ { "pay_category_name": "Ordinary - Salaried", "amount": 3346.15, "created_at": "2012-07-11T00:00:00+10:00", "updated_at": "2012-07-11T00:00:00+10:00" } ], "earnings_lines": [ { "pay_category_name": "Ordinary - Salaried", "name": "Ordinary Pay", "notes": "27-10/07/2012 (10 days)", "number_of_units": 80, "rate_per_unit": 41, "gross_earnings": 3346.15, "super_contribution": 301.15, "taxable_earnings": 3346.15, "is_fixed": false, "is_tax_exempt": false } ], "bank_payments": [ { "account_name": "D N Nguyen", "account_number": "12345678", "amount": 2520.15, "bsb": "062000" } ], "superannuation_lines": [ { "contribution_type": "Employer", "payment_date_for_this_period": "2012-07-11T00:00:00+10:00", "fund_name": "REST Super", "member_number": "123456", "amount": 301.15 } ], "taken_leaves": [ { "leave_category_name": "Annual Leave", "amount": 8, "notes": null, "unit_type": "Hours" } ], "displayed_leave_balances": [ { "leave_category_name": "Annual Leave", "amount": 20, "unit_type": "Hours" } ], "displayed_accrued_leaves": [ { "leave_category_name": "Annual Leave", "amount": 20, "unit_type": "Hours" } ], "deductions": [ { "name": "Union Fee", "amount": 20, "is_tax_exempt": false } ], "payg_adjustments": [ { "name": "Manual PAYG Adjustment", "amount": -50, "is_tax_exempt": false } ], "super_adjustments": [ { "name": "Additional Super", "amount": 100 } ], "reimbursement_lines": [ { "description": "Travel expenses", "amount": 150 } ] }}This endpoint enqueues a job to generate PDF for a particular payslip if not yet exists.
PDF generation should take a few seconds, after which the pdf_url will be embedded into the response of the Get Payslip API.
https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslips/:payslip_id/pdf_genPath Parameters
The ID of the organisation to retrieve
The ID of the employee to retrieve
The ID of the payslip to retrieve
Response Body
A hash with a data property that contains the result of the enqueuement of the pdf generation.
Indicates if the PDF generation job was successfully enqueued
Example
curl -X PUT \ "https://api.employmenthero.com/api/v1/organisations/:organisation_id/employees/:employee_id/payslips/:payslip_id/pdf_gen" \ -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"Response
{ "data": { "success": true }}